Save architecture canvas
Save the canvas against the version the client loaded. Developers and above may edit.
PUT
Save the canvas against the version the client loaded. Developers and above may edit.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id?|The repository the canvas belongs to; omit for the workspace canvas.
application/json- body
document*version*VersionThe version the client loaded; 0 for a new canvas.
Range
0 <= valueSuccessful Response
application/json- response
repository_id*|nullscope_key*Scope Keysize_bytes*Size Bytesupdated_at*Updated AtFormat
date-timeupdated_by*|nullversion*Versioncurl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/canvas' \ -H 'Content-Type: application/json' \ -d '{ "document": {}, "version": 0}'Example Response
{ "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "scope_key": "string", "size_bytes": 0, "updated_at": "2019-08-24T14:15:22Z", "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe", "version": 0}